Package ru.bitel.bgbilling.modules.phone.server.bean

# Class ClientItemFinder

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.ClientItemFinder

    public class ClientItemFinder
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ClientItemFinder​(java.sql.Connection con, int mid, int sourceId, java.util.Calendar date1, java.util.Calendar date2, java.lang.String cids)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CalculateClientItem` | `findPoint​(ru.bitel.bgbilling.modules.phone.server.LogRecord record, boolean byToNumber)` |
  `java.util.List<CalculateClientItem>` | `findRuleList​(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)` |
  `java.lang.String` | `getItemCount()` |
  `java.lang.String` | `getItemDetail()` |
  `ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache` | `getRangeMapCache()` |
  `void` | `setRangeMapCache​(ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)` |
  `ClientItemFinder` | `sub​(java.sql.Connection con, int moduleId, java.util.Calendar hour)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientItemFinder

    public ClientItemFinder​(java.sql.Connection con, int mid, int sourceId, java.util.Calendar date1, java.util.Calendar date2, java.lang.String cids)

- ## Method Details

  - ### findPoint

    public CalculateClientItem findPoint​(ru.bitel.bgbilling.modules.phone.server.LogRecord record, boolean byToNumber)

  - ### findRuleList

    public java.util.List<CalculateClientItem> findRuleList​(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

  - ### getItemCount

    public java.lang.String getItemCount()

  - ### getItemDetail

    public java.lang.String getItemDetail()

  - ### sub

    public ClientItemFinder sub​(java.sql.Connection con, int moduleId, java.util.Calendar hour) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setRangeMapCache

    public void setRangeMapCache​(ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

  - ### getRangeMapCache

    public ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache getRangeMapCache()